Subject: [Q] MOLCAS (SLAPAF) question

From: Ernst Wallenborn <[email-masked]>
Date: Wed, 10 Jul 1996 11:49:12 +0200

Hi there,

I have a problem with the slapaf input (molcas 3.0). 
It's the following:

I'm trying to do a casscf geometry optimization in
molcas (i don't feel like doing it in g94 with a different
basis set and transferring the resulting geometry to molcas,
although this would be my last resort). My dummy problem is
formaldehyde, the route seward-scf-alaska-slapaf (as in the
scfgrad script. I left out the rasscf because the problem
is not connected with it).

Input files are:

-----seward.input-----
 &SEWARD &END
Title 
 formaldehyde
Square
Symmetry
x y
Basis set
C.ANO-S...3s2p1d.
 C                 .0000000000         .0000000000       -1.0143690059
End of basis
Basis set
O.ANO-S...3s2p1d.
 O                 .00000000         .0000000000        1.2925328919
End of basis
Basis set
H.ANO-S...2s1p.
 H                .0000000000        1.7657335076       -2.1270245501
End of basis
End of input
-----scf.input-----
 &SCF &END
Title
 formaldehyde
Occupied
 5 1 2 0
Ivo
End of input
-----alaska.input-----
 &ALASKA &END
End of Input
-----slapaf.input-----
 &SLAPAF &END
Internal coordinates
r1 = Bond C O
r2 = Bond C H
r3 = Bond C H(y)
a1 = Angle O C H
a2 = Angle O C H(y)
d1 = Dihedral H O C H(y)
Vary
r1 
r2 
r3 
a1 
a2 
d1 
End of internal
Iterations
20
Print
1
111 99
End of Input
-----end-----

the Iterations and Print statements are taken from the worked
example in the Molcas documentation (which works, actually).
They shouldn't be a problem.

Everything works fine until slapaf. It exits with the output
-----slapaf.output-----
[snip]

 ********************************************
 * Values of primitive internal coordinates *
 ********************************************
 
 R1       : Bond Length=    2.3069/ bohr
 R2       : Bond Length=    2.0871/ bohr
 R3       : Bond Length=    2.0871/ bohr
 A1       : Angle=  122.2166/degree,     2.1331/rad
 A2       : Angle=  122.2166/degree,     2.1331/rad
  Warning: dihedral angle close to end of range
 D1       : Dihedral Angle=  180.0000/degree,    3.1416/rad

 *********************************************
 * Value of internal coordinates / au or rad *
 *********************************************
 
 R1            2.3069
 R2            2.0871
 R3            2.0871
 A1            2.1331
 A2            2.1331
 D1            3.1416
 
 ESV2105S  DGEICD   FACTORIZATION FAILED DUE TO NEAR ZERO PIVOT NUMBER
(4).                                                        
 EXECUTION TERMINATING DUE TO ERROR COUNT FOR ERROR NUMBER  2105
 MESSAGE SUMMARY: MESSAGE NUMBER - COUNT
                      2103          1
                      2105          1
-----end of slapaf.output-----

I have no idea what causes this behaviour. I thought that
the near 180 deg dihedral was responsible, and substituted
a third angle for it. Also i tried to avoid using symmetry in 
the input, as in the manual's worked example (enediyne), where
no two internal coordinates are connected to each other by
a symmetry operation. The result was the same. NEAR ZERO PIVOT NUMBER.

The molcas homepage (garm.teokem.lu.se) has not been reachable 
since yesterday, so i can't get information from there.

Er, help?

-- 
-ernst wallenborn.

i'm not a bug.
i'm an undocumented feature.